gi-glib-2.0.30: GLib bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.GLib.Structs.TestLogMsg

Contents

- Exported types
- Methods
  - free
- Properties
  - logType
  - nNums
  - nStrings
  - strings

Description

No description available in the introspection data.

Synopsis

- newtype TestLogMsg = TestLogMsg (ManagedPtr TestLogMsg)
- newZeroTestLogMsg :: MonadIO m => m TestLogMsg
- testLogMsgFree :: (HasCallStack, MonadIO m) => TestLogMsg -> m ()
- getTestLogMsgLogType :: MonadIO m => TestLogMsg -> m TestLogType
- setTestLogMsgLogType :: MonadIO m => TestLogMsg -> TestLogType -> m ()
- getTestLogMsgNNums :: MonadIO m => TestLogMsg -> m Word32
- setTestLogMsgNNums :: MonadIO m => TestLogMsg -> Word32 -> m ()
- getTestLogMsgNStrings :: MonadIO m => TestLogMsg -> m Word32
- setTestLogMsgNStrings :: MonadIO m => TestLogMsg -> Word32 -> m ()
- clearTestLogMsgStrings :: MonadIO m => TestLogMsg -> m ()
- getTestLogMsgStrings :: MonadIO m => TestLogMsg -> m (Maybe Text)
- setTestLogMsgStrings :: MonadIO m => TestLogMsg -> CString -> m ()

# Exported types

newtype TestLogMsg Source #

Memory-managed wrapper type.

Constructors

TestLogMsg (ManagedPtr TestLogMsg) |

#### Instances

Instances details

Eq TestLogMsg Source # |
Instance details Defined in GI.GLib.Structs.TestLogMsg Methods (==) :: TestLogMsg -> TestLogMsg -> Bool Source # (/=) :: TestLogMsg -> TestLogMsg -> Bool Source #
BoxedPtr TestLogMsg Source # |
Instance details Defined in GI.GLib.Structs.TestLogMsg Methods boxedPtrCopy :: TestLogMsg -> IO TestLogMsg Source # boxedPtrFree :: TestLogMsg -> IO () Source #
CallocPtr TestLogMsg Source # |
Instance details Defined in GI.GLib.Structs.TestLogMsg Methods boxedPtrCalloc :: IO (Ptr TestLogMsg) Source #
ManagedPtrNewtype TestLogMsg Source # |
Instance details Defined in GI.GLib.Structs.TestLogMsg Methods toManagedPtr :: TestLogMsg -> ManagedPtr TestLogMsg Source #
tag ~ 'AttrSet => Constructible TestLogMsg tag Source # |
Instance details Defined in GI.GLib.Structs.TestLogMsg Methods new :: MonadIO m => (ManagedPtr TestLogMsg -> TestLogMsg) -> [AttrOp TestLogMsg tag] -> m TestLogMsg Source #

newZeroTestLogMsg :: MonadIO m => m TestLogMsg Source #

Construct a `TestLogMsg` struct initialized to zero.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

free.

#### Getters

None.

#### Setters

None.

## free

testLogMsgFree :: (HasCallStack, MonadIO m) => TestLogMsg -> m () Source #

Internal function for gtester to free test log messages, no ABI guarantees provided.

# Properties

## logType

No description available in the introspection data.

getTestLogMsgLogType :: MonadIO m => TestLogMsg -> m TestLogType Source #

Get the value of the “`log_type`” field. When overloading is enabled, this is equivalent to

    get testLogMsg #logType

setTestLogMsgLogType :: MonadIO m => TestLogMsg -> TestLogType -> m () Source #

Set the value of the “`log_type`” field. When overloading is enabled, this is equivalent to

    set testLogMsg [ #logType := value ]

## nNums

No description available in the introspection data.

getTestLogMsgNNums :: MonadIO m => TestLogMsg -> m Word32 Source #

Get the value of the “`n_nums`” field. When overloading is enabled, this is equivalent to

    get testLogMsg #nNums

setTestLogMsgNNums :: MonadIO m => TestLogMsg -> Word32 -> m () Source #

Set the value of the “`n_nums`” field. When overloading is enabled, this is equivalent to

    set testLogMsg [ #nNums := value ]

## nStrings

No description available in the introspection data.

getTestLogMsgNStrings :: MonadIO m => TestLogMsg -> m Word32 Source #

Get the value of the “`n_strings`” field. When overloading is enabled, this is equivalent to

    get testLogMsg #nStrings

setTestLogMsgNStrings :: MonadIO m => TestLogMsg -> Word32 -> m () Source #

Set the value of the “`n_strings`” field. When overloading is enabled, this is equivalent to

    set testLogMsg [ #nStrings := value ]

## strings

No description available in the introspection data.

clearTestLogMsgStrings :: MonadIO m => TestLogMsg -> m () Source #

Set the value of the “`strings`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #strings

getTestLogMsgStrings :: MonadIO m => TestLogMsg -> m (Maybe Text) Source #

Get the value of the “`strings`” field. When overloading is enabled, this is equivalent to

    get testLogMsg #strings

setTestLogMsgStrings :: MonadIO m => TestLogMsg -> CString -> m () Source #

Set the value of the “`strings`” field. When overloading is enabled, this is equivalent to

    set testLogMsg [ #strings := value ]